Debian Bug report logs - #258481
achilles: FTBFS with gcc-3.4: array bound forbidden after parenthesized type-id

version graph

Package: achilles; Maintainer for achilles is Manfred Lichtenstern <manfred@lichtenstern.biz>; Source for achilles is src:achilles.

Reported by: Andreas Jochens <aj@andaco.de>

Date: Fri, 9 Jul 2004 20:48:09 UTC

Severity: serious

Tags: fixed, patch

Fixed in version achilles/2-5

Done: Matej Vela <vela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Danish <mrd@debian.org>:
Bug#258481; Package achilles. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Matthew Danish <mrd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: achilles: FTBFS with gcc-3.4: array bound forbidden after parenthesized type-id
Date: Fri, 09 Jul 2004 22:44:26 +0200
Package: achilles
Severity: normal
Tags: patch

When building 'achilles' with gcc-3.4 I get the following error:

c++ -DHAVE_CONFIG_H -I. -I. -I.     -g -O2 -c screenshot.cc
screenshot.cc: In function `bool PNGScreenShot(char*)':
screenshot.cc:88: error: array bound forbidden after parenthesized type-id
screenshot.cc:88: note: try removing the parentheses around the type-id
make[1]: *** [screenshot.o] Error 1
make[1]: Leaving directory `/achilles-2'
make: *** [build-stamp] Error 2

With the attached patch 'achilles' can be compiled using gcc-3.4.

Regards
Andreas Jochens

diff -urN ../tmp-orig/achilles-2/screenshot.cc ./screenshot.cc
--- ../tmp-orig/achilles-2/screenshot.cc	2001-06-01 02:29:13.000000000 +0200
+++ ./screenshot.cc	2004-07-08 12:18:04.719401781 +0200
@@ -85,7 +85,7 @@
   png_write_info(png_ptr, info_ptr);
 
   /* get pointers */
-  row_pointers = (png_byte**) new (png_byte*)[height];
+  row_pointers = (png_byte**) new png_byte*[height];
   for(i = 0; i < height; i++)
     row_pointers[i] = data + (height - i - 1) 
       * 3 * width;



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Danish <mrd@debian.org>:
Bug#258481; Package achilles. Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to Matthew Danish <mrd@debian.org>. Full text and rfc822 format available.

Message #10 received at 258481@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 258481@bugs.debian.org, control@bugs.debian.org
Subject: Set severity to serious
Date: Fri, 8 Jul 2005 08:10:17 -0700
[Message part 1 (text/plain, inline)]
severity 258481 serious
thanks

Now that GCC 4.0 is the default compiler, this package fails to build
on all architectures.  As a result, I'm setting the severity of this
bug to serious.

-- 
Matt
[signature.asc (application/pgp-signature, inline)]

Severity set to `serious'. Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Danish <mrd@debian.org>:
Bug#258481; Package achilles. Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@whinlatter.ukfsn.org>:
Extra info received and forwarded to list. Copy sent to Matthew Danish <mrd@debian.org>. Full text and rfc822 format available.

Message #17 received at 258481@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@whinlatter.ukfsn.org>
To: 258481@bugs.debian.org
Subject: Re: achilles: FTBFS with gcc-3.4: array bound forbidden after parenthesized type-id
Date: Sat, 09 Jul 2005 22:26:41 +0100
Hi,

Please note an upload is not currently possible until the
libsdl1.2-dev dependencies are satisfiable.  See #317578.

I will upload the following patch to DELAYED/7-day within the next few
days (after libsdl is fixed), unless it's fixed sooner.


Regards,
Roger


diff -urN achilles-2.original/debian/changelog achilles-2/debian/changelog
--- achilles-2.original/debian/changelog	2005-07-09 21:28:40.000000000 +0100
+++ achilles-2/debian/changelog	2005-07-09 21:32:07.281029264 +0100
@@ -1,3 +1,12 @@
+achilles (2-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Apply patch by Andreas Jochens to fix FTBFS with GCC 3.4 and
+    4.0.  Array bounds are not allowed after a type-id in
+    parentheses (Closes: #258481).
+
+ -- Roger Leigh <rleigh@debian.org>  Sat,  9 Jul 2005 21:29:56 +0100
+
 achilles (2-4) unstable; urgency=low
 
   * Change maintainer address.
diff -urN achilles-2.original/screenshot.cc achilles-2/screenshot.cc
--- achilles-2.original/screenshot.cc	2001-06-01 01:29:13.000000000 +0100
+++ achilles-2/screenshot.cc	2005-07-09 21:29:43.950818768 +0100
@@ -85,7 +85,7 @@
   png_write_info(png_ptr, info_ptr);
 
   /* get pointers */
-  row_pointers = (png_byte**) new (png_byte*)[height];
+  row_pointers = (png_byte**) new png_byte*[height];
   for(i = 0; i < height; i++)
     row_pointers[i] = data + (height - i - 1) 
       * 3 * width;



-- 
Roger Leigh
                Printing on GNU/Linux?  http://gimp-print.sourceforge.net/
                Debian GNU/Linux        http://www.debian.org/
                GPG Public Key: 0x25BFB848.  Please sign and encrypt your mail.



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Danish <mrd@debian.org>:
Bug#258481; Package achilles. Full text and rfc822 format available.

Message #20 received at 258481@bugs.debian.org (full text, mbox):

From: "Christoph Berg" <cb@df7cb.de>
To: 258481@bugs.debian.org
Subject: Re: achilles: FTBFS with gcc-3.4: array bound forbidden after parenthesized type-id
Date: Sat, 29 Oct 2005 12:36:24 +0200
[Message part 1 (text/plain, inline)]
Hi,

NMU diff below.

diff -u achilles-2/debian/changelog achilles-2/debian/changelog
--- achilles-2/debian/changelog
+++ achilles-2/debian/changelog
@@ -1,3 +1,12 @@
+achilles (2-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Apply patch by Andreas Jochens to fix FTBFS with GCC 3.4 and
+    4.0.  Array bounds are not allowed after a type-id in
+    parentheses (Closes: #258481).
+
+ -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2005 12:33:40 +0200
+
 achilles (2-4) unstable; urgency=low
 
   * Change maintainer address.
only in patch2:
unchanged:
--- achilles-2.orig/screenshot.cc
+++ achilles-2/screenshot.cc
@@ -85,7 +85,7 @@
   png_write_info(png_ptr, info_ptr);
 
   /* get pointers */
-  row_pointers = (png_byte**) new (png_byte*)[height];
+  row_pointers = (png_byte**) new png_byte*[height];
   for(i = 0; i < height; i++)
     row_pointers[i] = data + (height - i - 1) 
       * 3 * width;

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matej Vela <vela@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 258481-close@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 258481-close@bugs.debian.org
Subject: Bug#258481: fixed in achilles 2-5
Date: Tue, 25 Apr 2006 04:32:08 -0700
Source: achilles
Source-Version: 2-5

We believe that the bug you reported is fixed in the latest version of
achilles, which is due to be installed in the Debian FTP archive:

achilles_2-5.diff.gz
  to pool/main/a/achilles/achilles_2-5.diff.gz
achilles_2-5.dsc
  to pool/main/a/achilles/achilles_2-5.dsc
achilles_2-5_i386.deb
  to pool/main/a/achilles/achilles_2-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 258481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matej Vela <vela@debian.org> (supplier of updated achilles package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Apr 2006 13:15:24 +0200
Source: achilles
Binary: achilles
Architecture: source i386
Version: 2-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matej Vela <vela@debian.org>
Description: 
 achilles   - An artificial life and evolution simulator
Closes: 258481 336370
Changes: 
 achilles (2-5) unstable; urgency=low
 .
   * QA upload.
   * Package is orphaned (#361167); set maintainer to Debian QA Group.
   * Acknowledge NMUs.  Closes: #258481, #336370.
   * Build depend on libpng12-dev instead of libpng3-dev.
   * Remove redundant build dependencies on xlibmesa-gl, xlibmesa-gl-dev,
     xlibs, zlib1g-dev.
   * Automatically update config.sub and config.guess from autotools-dev.
   * Switch to debhelper 5.
   * debian/changelog: Remove obsolete Emacs local variables.
   * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
   * debian/watch: Add.
   * Conforms to Standards version 3.6.2.
Files: 
 32f75f53884b87e4ab300a87903408a5 600 science optional achilles_2-5.dsc
 fa8d5e853d537b9431664ea40a97b5e2 4516 science optional achilles_2-5.diff.gz
 95b86b8346095bae6488a9a9857fdc1e 34884 science optional achilles_2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFETgTuxBYivKllgY8RAnlaAKCcS5CTGpXhIBb8x4ZZRTSbj20LPwCgi1li
LXQyQMI8VtEE3DaQDfiSCY0=
=RUTN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jul 2007 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:49:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.